// 

// This script strips all the Exif and other information from a file.
//It is based on CopyAndPaste.js by Adobe, Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
//All amendments Copyright Brian Price 2004 (brian@secalis.com)
// This script selects all of the active document, copies the selection,
// to the clipboard, creates a new document of the same dimensions
// and pastes the contents of the clipboard into it without the Exif data,
//applying the original filename to the new stripped document

//Check if a document is open
if (documents.length > 0)
{
//Check that the document has no Layers
if (activeDocument.artLayers.length ==1)
{
// This ensures that rulerUnits are set before creating the new document.

var originalRulerUnits = preferences.rulerUnits;
	preferences.rulerUnits = Units.INCHES;

// Set variables for the Initial File and filename

var originalDoc = activeDocument
var Filename = (originalDoc.name)

//Select All and Copy 
   
 originalDoc.selection.selectAll();
 originalDoc.selection.copy()
 
 // record original dimensions
 
var x = originalDoc.width
var y= originalDoc.height
var r = originalDoc.resolution
var m = originalDoc.Mod
var b = originalDoc.bitsPerChannel


// Close original file
 
originalDoc.close(SaveOptions.DONOTSAVECHANGES) 

// Create the new document and paste the original into it (without the Exif data) 
  
  var stripDoc = documents.add(x, y, r, Filename,m , DocumentFill.TRANSPARENT);
  stripDoc.bitsPerChannel = b
  stripDoc.paste();
  stripDoc.flatten();
  
// Reset Variables 
  
stripDoc = null;
originalDoc = null;
x = null;
y = null;
r = null;
m = null;
b = null
Filename = null;

// Reset rulers

preferences.rulerUnits = originalRulerUnits;

//Open alert box if the document has layers
}
else
{
    alert("This Document has layers - the script cannot be used");
}

//Open alert box if there is no document open
}
else
{
    alert("You must have a document open before running this script!");
}